import * as _tiptap_core from '@tiptap/core';
import { CodeBlockOptions } from '@tiptap/extension-code-block';
import { Highlighter } from 'shikiji';
import * as swr__internal from 'swr/_internal';

declare const useHighlighter: (options: {
    langs: string[];
    themes: string[];
}) => swr__internal.SWRResponse<Highlighter, any, {
    revalidateOnFocus: false;
}>;

type CodeHighlightOptions = {
    /**
     * Default theme
     */
    defaultTheme: string;
    /**
     * Shikiji instance
     */
    shikiji: Highlighter;
} & CodeBlockOptions;
declare const CodeHighlight: _tiptap_core.Node<CodeHighlightOptions, any>;

export { CodeHighlight, type CodeHighlightOptions, useHighlighter };
